# Generated by Django 4.0.3 on 2023-10-26 13:28

import ProjectAPP.models
import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AuthorisationManagement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(max_length=30)),
                ('rights', models.TextField()),
                ('project_id', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Checklists',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('project_phase', models.CharField(default='NONE', max_length=30)),
                ('activity', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='DataRepository',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('faculty_dpmt', models.CharField(max_length=30)),
                ('link', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(default='NONE', max_length=30)),
                ('coscine_token', models.CharField(default='NONE', max_length=150)),
                ('authorisation_management', models.ManyToManyField(to='ProjectAPP.authorisationmanagement')),
            ],
        ),
        migrations.CreateModel(
            name='Institute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('acronym', models.CharField(max_length=30)),
                ('university', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='License',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('description', models.TextField()),
                ('link', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='Metadata',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_name', models.CharField(max_length=30)),
                ('dataset_title', models.CharField(max_length=30)),
                ('project_description', models.TextField()),
                ('contact_info', models.TextField()),
                ('dataset_handle_URL', models.URLField()),
                ('dataset_handle_DOI', models.CharField(max_length=255)),
                ('keywords', models.TextField()),
                ('sponsor', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='MetadataStandarts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_of_standart', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Organisation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('ror_id', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('short_title', models.CharField(max_length=30)),
                ('status', models.CharField(max_length=30)),
                ('start_date', models.DateField()),
                ('description', models.TextField()),
                ('duration', models.DurationField(default=datetime.timedelta(0))),
                ('research_field', models.CharField(default='NONE', max_length=30)),
                ('metadata', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.metadata')),
                ('organisation', models.ManyToManyField(to='ProjectAPP.organisation')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectPhase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('description', models.TextField()),
                ('milestones', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='ProjectRequirements',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('deadline', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='ProjectStep',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Publications',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField()),
                ('authors', models.TextField()),
                ('year', models.DateField()),
                ('publisher', models.TextField()),
                ('link', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='ResearchWorkflow',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('project_phase', models.CharField(max_length=30)),
                ('phase_description', models.TextField()),
                ('checklists', models.ManyToManyField(to='ProjectAPP.checklists')),
                ('data_repository', models.ForeignKey(default=ProjectAPP.models.DataRepository.get_default_pk, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.datarepository')),
            ],
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role_name', models.CharField(max_length=30)),
                ('may_read', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='TrainingMaterials',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_phase', models.CharField(default='NONE', max_length=30)),
                ('name', models.CharField(max_length=30)),
                ('link', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='VersionControlManagment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('modifier', models.CharField(max_length=30)),
                ('modified', models.IntegerField()),
                ('rights', models.CharField(max_length=30)),
                ('data_repository', models.ForeignKey(default=ProjectAPP.models.DataRepository.get_default_pk, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.datarepository')),
            ],
        ),
        migrations.CreateModel(
            name='Tools',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('license', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.license')),
                ('research_work_flow', models.ManyToManyField(to='ProjectAPP.researchworkflow')),
            ],
        ),
        migrations.CreateModel(
            name='RoleAssign',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assign_date', models.DateField()),
                ('status', models.CharField(max_length=30)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.employee')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.role')),
            ],
        ),
        migrations.CreateModel(
            name='ReqByUniversity',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('founding_source', models.CharField(max_length=30)),
                ('requirment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectrequirements')),
            ],
        ),
        migrations.CreateModel(
            name='ReqByPartners',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('founding_source', models.CharField(max_length=30)),
                ('requirment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectrequirements')),
            ],
        ),
        migrations.CreateModel(
            name='ReqByOrganisation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('founding_source', models.CharField(max_length=30)),
                ('organisation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.organisation')),
                ('requirment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectrequirements')),
            ],
        ),
        migrations.CreateModel(
            name='ReqByInstitute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('founding_source', models.CharField(max_length=30)),
                ('institute', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.institute')),
                ('requirment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectrequirements')),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='project_phase',
            field=models.ManyToManyField(to='ProjectAPP.projectphase'),
        ),
        migrations.AddField(
            model_name='project',
            name='project_requirements',
            field=models.ManyToManyField(to='ProjectAPP.projectrequirements'),
        ),
        migrations.AddField(
            model_name='project',
            name='publications',
            field=models.ManyToManyField(to='ProjectAPP.publications'),
        ),
        migrations.AddField(
            model_name='project',
            name='research_workflow',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.researchworkflow'),
        ),
        migrations.AddField(
            model_name='project',
            name='version_control_managment',
            field=models.ManyToManyField(to='ProjectAPP.versioncontrolmanagment'),
        ),
        migrations.CreateModel(
            name='Ontologies',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('link', models.URLField()),
                ('project', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
            ],
        ),
        migrations.AddField(
            model_name='metadata',
            name='metadatastandarts',
            field=models.ManyToManyField(to='ProjectAPP.metadatastandarts'),
        ),
        migrations.AddField(
            model_name='employee',
            name='institute',
            field=models.ManyToManyField(to='ProjectAPP.institute'),
        ),
        migrations.AddField(
            model_name='employee',
            name='version_control_managment',
            field=models.ManyToManyField(to='ProjectAPP.versioncontrolmanagment'),
        ),
        migrations.AddField(
            model_name='checklists',
            name='data_repository',
            field=models.ForeignKey(default=ProjectAPP.models.DataRepository.get_default_pk, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.datarepository'),
        ),
        migrations.AddField(
            model_name='checklists',
            name='project_requirements',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectrequirements'),
        ),
    ]
